/* -------------- */
/* STYLE GENERAL */
/* ------------ */

/*style de base pour le code*/
html, body {
    height: 100%;
	width:  100%;
	margin : 0 auto;
    position: absolute;
    font-family: 'Marianne-regular', Arial, Helvetica, sans-serif;
    background-color: white;
}

#map {
	position : absolute;
	
    width: 100%; 
	height: 100%; 
    background-color:#E6F5FF;
}

.etiquette-outreMer{
	font-family: 'Marianne', sans-serif;
	font-size: 7px;
    font-weight: bold;
    color: #e62d3c;
	text-transform: uppercase; /* Convertit le texte en majuscules */
}

/* -------------------------------------------------------------------------- */
/*                                    SIDEBAR                                 */
/* -------------------------------------------------------------------------- */
/* --------------- */
/* TEXTE SIDEBAR */
/* ------------ */

.text-anct {
	font-family: 'Marianne-regular', sans-serif;
	font-size: 12px;
	text-align: left;
	padding-left: 10px;
	padding-right: 35px;
	line-height: 1.7;

}
.text-anct-petit {
	font-family: 'Marianne-regular', sans-serif;
	font-size: 11px;
	line-height: 1;

}

.titre-sidebar {
    color: #e62d3c; 
    font-weight: 800; 
    font-size: 26px; 
	text-align: left;
	margin-bottom: 30px;
}

/* Barre de recherche */
#search-container {
	position: absolute;
	top: 10px; /* Ajustez la distance depuis le haut selon vos besoins */
	right: 10px; /* Ajustez la distance depuis la droite selon vos besoins */
	z-index: 1000; /* Assure que la barre de recherche est au-dessus des autres éléments si nécessaire */
  }
  
  #search-input {
	width: 200px; /* Ajustez la largeur selon vos besoins */
	padding: 5px; /* Ajustez le rembourrage selon vos besoins */
	border: 1px solid #ccc; /* Ajustez le style de la bordure selon vos besoins */
	border-radius: 5px; /* Ajustez le rayon de la bordure selon vos besoins */
  }
  

/* --------------- */
/* FORMAT SIDEBAR */
/* ------------- */

#sidebar {
	position: absolute;
	background-color: white;
	margin-right : 5px;
}


#sidebar .leaflet-sidebar-close{
	position:absolute;
	top:0;
    width: 40px !important;
    height: 40px !important;
	text-align:center;
	cursor:pointer;
}
#sidebar .leaflet-sidebar-left .leaflet-sidebar-close{right:0}
#sidebar .leaflet-sidebar-right .leaflet-sidebar-close{left:0}

/*bar tabs*/
.leaflet-sidebar-tabs {
	background-color: #244a9a;
	background: linear-gradient(180deg, #244a9a 0%, #bfd0ff 100%);
	box-shadow: 2px 0px 2px 0px #656565;
}

.leaflet-sidebar-tabs > ul > li {
	color: white; /* couleur des logos au click*/
}

/*changment de couleur quand clic*/
.leaflet-sidebar-tabs > ul > li.active, .leaflet-sidebar-tabs > ul > li.active:hover {
	background-color: rgb(249, 249, 251);
	color: #244a9a; /*logo accueil sidebar*/
	border-left: solid 3px #e62d3c;
}

.tab-name {
	position: absolute;
	display: none;
	z-index: 10000;
	left: 50px;
	background: rgba(0,0,0,.8) !important;
}


.leaflet-sidebar-header {
	display: flex;
	margin: 0px 10px 0px 5px;
	justify-content: space-between; 
	padding:0px 10px 0px 5px;
	font-family: 'Marianne', sans-serif;
	text-transform: uppercase;
	height: auto;
	color: #244a9a; /*couleur du bouton réduire sidebar*/
	flex-direction: column;
	background-color: white;
}

.leaflet-sidebar-pane{
	padding:0px 0px 0px 5px;
}
 
.logo-anct-marianne{
    width : 70%;
    /* max-width: 100%; */
    height: auto;

    transition: width 0.3s;
}  

.logo-fthd {
    width : 50%;
    /* max-width: 100%; */
	padding: 5px 0px 35px 15px;
    height: auto;
    transition: width 0.3s;
}  



/* --------------- */
/* SIDEBAR CONTENT*/
/* ------------- */

/* logo des opérateurs  */
.operator-logo {
	width: auto;
	height: auto;
	padding-bottom: 7px;
	padding-top: 7px;
}

/* lib_dep affiché */
.dep-txt-sidebar{
	font-family: 'Marianne', sans-serif;
    font-size: 21px;
    font-weight: bold;
    color: #398373;
	padding : 0px;
	text-transform: uppercase; /* Convertit le texte en majuscules */
	margin-bottom: 5px;
	padding: 10px 5px 5px 5px;

	
}

/* Liste des opérateurs par dep */
.titre-liste-operateurs {
	margin: 10px;
    padding:  5px  5px  5px 10px; /* Espacement interne */
    font-family: 'Marianne', sans-serif; /* Police de caractères Marianne */
    font-size: 18px; /* Taille de police */
	font-weight: bold;
    color: #000; /* Couleur du texte noire */
	line-height: 1;
}

.operator-list {
    margin: 10px;
    padding:  5px  5px  5px 30px; /* Espacement interne */
    font-family: 'Marianne', sans-serif; /* Police de caractères Marianne */
    font-size: 14px; /* Taille de police */
    color: #000; /* Couleur du texte noire */
	line-height: 3;
}

/* Texte informations sur les opérateurs */
.operator-content{
	font-family: 'Marianne', sans-serif;
	font-size: 12px;
	color : #000;
	padding : 5px;
}

.operator-separateur {
    border-top: 1px dashed darkgray; /* Ligne pointillée en bas de chaque élément de la liste */
    padding-bottom: 10px; /* Espace en bas de chaque élément de la liste */
	padding:10px;
    margin-bottom: 10px; /* Espace entre les éléments de la liste */
}

.no-offer-message{
	font-family: 'Marianne', sans-serif;
	font-size: 14px;
	color : #000;
	padding : 10px;
}



/* --------------- */
/* BOUTON SIDEBAR */
/* ------------- */


#bnt-retour-accueil{
	font-family: "Marianne", sans-serif; /* Utilise la police Marianne ou une police sans-serif de secours */
	font-size: 12px; /* Taille de police 10 pixels */
	font-weight: 400;
	border-radius: 4px; /* Bords arrondis */
	background-color: #398373; /* Fond bleu */
	color: white; /* Texte en blanc */
	padding: 5px 10px; /* Marge interne pour un meilleur aspect */
	cursor: pointer; /* Curseur en main pour indiquer un bouton cliquable */
	display: none;
	margin-bottom: 10px;
	border:none;
}
#bnt-retour-accueil:hover {
	background-color: rgb(228, 228, 231);
	color: #398373; /* Texte en blanc */
}

#bnt-site-fthd {
	font-family: "Marianne", sans-serif; /* Utilise la police Marianne ou une police sans-serif de secours */
	font-size: 12px; /* Taille de police 10 pixels */
	font-weight: 400;
	border-radius: 4px; /* Bords arrondis */
	background-color: #398373; /* Fond bleu */
	color: white; /* Texte en blanc */
	padding: 5px 10px; /* Marge interne pour un meilleur aspect */
	cursor: pointer; /* Curseur en main pour indiquer un bouton cliquable */
	margin-bottom: 10px;
	border:none;
}
#bnt-site-fthd:hover {
	background-color: rgb(228, 228, 231);
	color: #398373; /* Texte en blanc */
}